#include <QtCore>
#include <QtGui>
#include <QtSql>
#include <QApplication>
#include <QtDebug>

#include "recettedialog.h"
#include "connexions.h"
QString g_pathabsolu;
QString g_nomentre;
QString g_guidentre;
int main(int argc, char *argv[])
{
QApplication app(argc, argv);
QStringList arguments;
arguments = app.arguments();
QFileInfo pathinfo(arguments[0]);
g_pathabsolu = pathinfo.absolutePath();

CreateConnection();
CreateConnexion2();
if(arguments.count() > 1){
g_guidentre = arguments[4];
//nomentre = nomentre.toUtf8();
recettedialog *dialog = new recettedialog;
dialog->show();
qDebug() << ""+g_guidentre+"";
}
else
{
g_nomentre="mafanfancherie";
recettedialog *dialog = new recettedialog;
dialog->show();
qDebug() << ""+g_guidentre+"";
}

return app.exec();
}
